Bug 228330 - x11/polybar: Fix build against x11/xcb-proto 1.13
Summary: x11/polybar: Fix build against x11/xcb-proto 1.13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://reviews.freebsd.org/D15965
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2018-05-18 00:47 UTC by Alexandre C. Guimarães
Modified: 2018-07-01 04:38 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback?
rigoletto: merge-quarterly?


Attachments
Fix build against xcb-proto-1.13. (7.81 KB, patch)
2018-05-18 00:47 UTC, Alexandre C. Guimarães
no flags Details | Diff
Fix build against xcb-proto-1.13. (7.26 KB, patch)
2018-05-18 05:10 UTC, Alexandre C. Guimarães
no flags Details | Diff
testport: OK (poudriere: 3.2.6_1, AMD64 tested) (148.19 KB, text/plain)
2018-05-18 18:10 UTC, Alexandre C. Guimarães
no flags Details
Fix build against xcb-proto-1.13 (7.38 KB, patch)
2018-05-20 23:53 UTC, Alexandre C. Guimarães
no flags Details | Diff
Fix build against xcb-proto-1.13 (7.51 KB, patch)
2018-06-03 05:26 UTC, Alexandre C. Guimarães
rigoletto: maintainer-approval+
Details | Diff
Fix build against xcb-proto-1.13. (7.50 KB, patch)
2018-06-21 18:04 UTC, Alexandre C. Guimarães
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre C. Guimarães freebsd_committer 2018-05-18 00:47:57 UTC
Created attachment 193505 [details]
Fix build against xcb-proto-1.13.

Hi.

Attached a patch to fix x11/polybar build against x11/xcb-proto-1.13. Bring it to ~HEAD until a next version come out with the fixes.

Also, dropping all patches since them were already up-streamed.

The Makefile patch still needs a fix while building on poudriere with TESTS ON: "error: could not find git for clone of googletest"

Thanks!
Comment 1 Bugzilla Automation freebsd_committer 2018-05-18 00:47:57 UTC
Maintainer informed via mail
Comment 2 Alexandre C. Guimarães freebsd_committer 2018-05-18 05:10:19 UTC
Created attachment 193506 [details]
Fix build against xcb-proto-1.13.

There is one patch still waiting to be upstreamed, and a new one become necessary.

I will try to upstream them later.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2018-05-18 05:20:29 UTC
Thank you Alexandre

Could you please confirm the changes pass QA (portlint, poudriere in particular)
Comment 4 Alexandre C. Guimarães freebsd_committer 2018-05-18 18:10:07 UTC
Created attachment 193520 [details]
testport: OK (poudriere: 3.2.6_1, AMD64 tested)

Yes, of course. :)

Portlint is fine, just the expected:

WARN: /usr/ports/x11/polybar/pkg-message: possible use of absolute pathname "/sys/class/thermal/*".

Thanks!
Comment 5 Alexandre C. Guimarães freebsd_committer 2018-05-18 21:53:48 UTC
Btw, I didn't manage to fix the build failure when the TESTS OPTION (not default) if ON when building using poudriere.

After adding git to TESTS_BUILD_DEPENDS it fail in the next step with:

>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

-- Build files have been written to: /wrkdirs/usr/ports/x11/polybar/work/.build/googletest-download
[1/9] Creating directories for 'googletest'
[2/9] Performing download step (git clone) for 'googletest'
FAILED: googletest-prefix/src/googletest-stamp/googletest-download 
cd /wrkdirs/usr/ports/x11/polybar/work/.build && /usr/local/bin/cmake -P /wrkdirs/usr/ports/x11/polybar/work/.build/googletest-download/googletest-prefix/tmp/googletest-gitclone.cmake && /usr/local/bin/cmake -E touch /wrkdirs/usr/ports/x11/polybar/work/.build/googletest-download/googletest-prefix/src/googletest-stamp/googletest-download
Cloning into 'googletest-src'...
fatal: unable to access 'https://github.com/google/googletest.git/': Could not resolve host: github.com
Cloning into 'googletest-src'...
fatal: unable to access 'https://github.com/google/googletest.git/': Could not resolve host: github.com
Cloning into 'googletest-src'...
fatal: unable to access 'https://github.com/google/googletest.git/': Could not resolve host: github.com
-- Had to git clone more than once:
          3 times.
CMake Error at googletest-download/googletest-prefix/tmp/googletest-gitclone.cmake:66 (message):
  Failed to clone repository: 'https://github.com/google/googletest.git'

>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

And I have no clue of how to fix that.
Comment 6 Alexandre C. Guimarães freebsd_committer 2018-05-19 00:08:54 UTC
I think the failure happens because poudriere already disabled the jail network at that point (I had forgot about that).

I suppose it can be fixed if the necessary googletest data be downloaded earlier (or simply add devel/googletest to TESTS_BUILD_DEPENDS), and then patch the CMake file to use that 'local' data instead of trying to download the thing 'on the fly'.

The problem I am convalescing now (with lots of pain) and just managing to be sitting in here for a very few moments a day, and so all this work does not seem nearly worthy for ME at this particular moment. I would rather prefer to just add a comment to the port Makefile.

Cheers!
Comment 7 Alexandre C. Guimarães freebsd_committer 2018-05-20 23:53:31 UTC
Created attachment 193583 [details]
Fix build against xcb-proto-1.13

Bringing to head also allow to remove localbase:ldflags from USES.
Comment 8 Alexandre C. Guimarães freebsd_committer 2018-06-03 05:26:49 UTC
Created attachment 193959 [details]
Fix build against xcb-proto-1.13

I've added a comment about the port failing while building on poudriere when the (non default) TEST OPTION is ON due to the need of network to download googletest on-the-fly.

Thanks!
Comment 9 Tobias C. Berner freebsd_committer 2018-06-21 17:51:32 UTC
maintainer timeout
Comment 10 Alexandre C. Guimarães freebsd_committer 2018-06-21 18:04:53 UTC
Created attachment 194467 [details]
Fix build against xcb-proto-1.13.
Comment 11 commit-hook freebsd_committer 2018-06-26 19:08:31 UTC
A commit references this bug:

Author: tcberner
Date: Tue Jun 26 19:07:55 UTC 2018
New revision: 473406
URL: https://svnweb.freebsd.org/changeset/ports/473406

Log:
  x11/polybar: Fix build against x11/xcb-proto 1.13.

  * Update to a more recent upstream commit to fix the build against xcb-proto 1.13
  * Drop upstreamed patches, which already included now
  * Give MAINTAINERSHIP to lbdm

  PR:		228330
  Submitted by:	Alexandre C. Guimar?es <lebarondemerde@privacychain.ch>
  Approved by:	<capt_redbeard@protonmail.com> (maintainer timeout)
  Differential Revision:	https://reviews.freebsd.org/D15965

Changes:
  head/x11/polybar/Makefile
  head/x11/polybar/distinfo
  head/x11/polybar/files/patch-cmake_01-core.cmake
  head/x11/polybar/files/patch-cmake_03-libs.cmake
  head/x11/polybar/files/patch-include_adapters_alsa_generic.hpp
  head/x11/polybar/files/patch-man_CMakeLists.txt
  head/x11/polybar/pkg-plist